namespace HistoryView.Controls;

public partial class WarningItem : UserControl
{
    public WarningItem()
    {
        InitializeComponent();
    }

    public AlarmInfo Alarm
    {
        get { return (AlarmInfo)GetValue(AlarmProperty); }
        set { SetValue(AlarmProperty, value); }
    }

    public static readonly DependencyProperty AlarmProperty =
        DependencyProperty.Register("Alarm", typeof(AlarmInfo), typeof(WarningItem), new PropertyMetadata(default));
}
